Skip to main content
GET
List all data point types on a project

Authorizations

Authorization
string
header
required

Path Parameters

project_id
string
required

Query Parameters

page
integer<int32>
default:1
page_size
integer<int32>
default:10
sort
string

Comma-separated list of fields to sort by. Prefix with - for descending. Available fields: id, name, slug, unit, value_type, created_at, updated_at

Example:

"name,-created_at"

filter[id][eq]
integer
filter[name][contains]
string
filter[slug][eq]
string
filter[is_static][eq]
boolean
filter[unit][eq]
string
filter[value_type][eq]
enum<string>
Available options:
number,
string,
boolean
response_mode
enum<string>

Controls response format. default returns paginated data. summary returns count and 10 samples. summary_with_export returns summary and triggers an async export.

Available options:
default,
summary,
summary_with_export
export_format
enum<string>
default:csv

File format for async export (only with response_mode=summary_with_export). Default: csv.

Available options:
csv,
json

Response

200